ChiliProject - Task # 29: Setup a forked code repository

Status: Closed Priority: Normal

Author: Muntek Singh Category: ChiliProject - Organization
Created: 2010-12-29 Assignee: Eric Davis

Updated: 2011-02-02 Due date:

Remote issue URL:

Description: Setup a forked code repository

History

2010-12-29 04:49 pm - Eric Davis
- Target version deleted ()

- Category deleted ()

Should fork before going public, though not too far before... | have a bunch of people watching me on Github ;)

2010-12-30 03:12 am - Holger Just
The fork should be in a new "github organization":https://github.com/blog/674-introducing-organizations named directly after the new project name.

2010-12-30 08:33 am - Eric Davis
Why a Github organization? What benefit would the project get from them over a normal user account?

2010-12-30 08:42 am - Muntek Singh

It would benefit from letting all of us keep our existing github accounts, and giving us a central place to manage multiple repositories. If we add/remove
committers we can simply give them commit access with a flip of a switch. I'm sure there are some other reasons as well.

That said, we can get all of these and more simply by running our own git 'master' that is integrated with redmine (hey look "here's a
howto)":http://www.redmine.org/wiki/1/HowTo_configure_Redmine_for_advanced_git_integration which would be trivial to setup and probably has some

benefits as well (custom hooks and such)

2010-12-30 03:23 pm - Eric Davis

Thanks Muntek, | have no experience with Github's organizations. The only things | care about are:

* multiple repos - official Bluemine repo and official plugins

* easy contributor access

* commit hooks

I'm thinking about some integrations with Github but we should work out the commit workflow first.

Anyone else have experience with Github Organizations? Does FinnLabs use them?

2010-12-31 01:46 am - Niels Lindenthal

- Assignee set to Wieland Lindenthal

Hi Wieland,

can you please provide a brief overview of our process?

Thanks
Niels

2010-12-31 03:54 am - Holger Just

Ww use it at finnlabs. All the stuff that is working with a normal user account also works with an organistion (minus the login stuff). The organization can
have public (and possibly private) repositories and its members can do everything with them a normal user can do to his repos in his account. On the
github website this is done through a "context" button. Thus you can decide that you (eg. edavis10) now wants to see stuff from the organization or from
the normal user's perspective.

The main advantage is that you can assign rights here. There are rights for "pull only" (doesn't apply to us), "push & pull", and finally "push & pull &&
administration". That means, each "admin" member can add and manage members and change repository data while normal users can commit to

them.

As Muntek said, you get more granularity and can keep your normal github accounts. Also, you don't need another one of those "master passwords"
floating around.

@Eric, please read the blogpost on the topic | linked in Note 2.
Regarding the private git master: I'm currently against it as me still would need to incorporate the github workflow into ours to allow broad participation
of people. For custom hooks, github allows those callbacks we could use to either update our own copy and run hooks there or notify a webservice to

do the stuff. There is even a plugin floating around for updating redmine repos (although this is kind of crappy and has design and security issues)

2011-01-02 11:46 am - Eric Davis
- Assignee changed from Wieland Lindenthal to Eric Davis

Holger Just wrote:

> @°Eric, please read the blogpost on the topic | linked in Note 2.

I've read it when it was released but I've learned to not believe everything a company writes about their own software until someone else actually uses
it ;)

But what you are saying makes sense, especially about the rights parts. | think we could use Github for now as long as we don't build too much of the
development workflow on top of their system.

2011-01-02 03:28 pm - Eric Davis

- Tracker changed from Bug to Feature

2011-01-12 12:39 pm - Felix Schéafer

- % Done changed from 0 to 20

- Status set to In Progress

https://github.com/chiliproject is registered, and Muntek, Eric, Holger and | are "owners". I'm not sure everyone should be owner or we should leave it to

the infrastructure team, or some sort of "leader trifecta", or whatever.

2011-01-12 12:44 pm - Holger Just
Only the Intrastructure rteam should be in the owners team.

I'm currently unsure though, if there is a difference between a "normal" team with admin rights and the owners team (e.g. towards changing billing

details and deleting the organization), but | guess there is. If so, the "normal” members should have at least push/pull rights and | guess admin rights

too to create new repos.
2011-01-12 01:12 pm - Felix Schafer
Holger Just wrote:

> I'm currently unsure though, if there is a difference between a "normal" team with admin rights and the owners team (e.g. towards changing billing

details and deleting the organization), but | guess there is. If so, the "normal" members should have at least push/pull rights and | guess admin rights
too to create new repos.

| think "owners" are the only ones having administrative control over the organization, not sure what "pull, push, administrative" can do, but | guess at
least manage all repos in that team... In fact, | kicked you from owners and put you in a team with the highest permissions but without a repo, see what
you can or cannot do.

More Infos about Orgs here: https:/github.com/blog/674-introducing-organizations , not much Info about that specific topic though.

2011-01-12 01:58 pm - Eric Davis

- Category set to ChiliProject - Organization

2011-01-12 02:29 pm - Eric Davis

- Tracker changed from Feature to Task

2011-01-12 03:11 pm - Eric Davis
- Target version set to Public Launch

2011-01-13 03:37 pm - Eric Davis
- Subproject of deleted (#28)

2011-02-02 04:20 pm - Eric Davis

- Status changed from In Progress to Closed

Repository setup and committers added.

https://github.com/chiliproject/chiliproject
